Bug 258598 - devel/glib20: update to 2.70.0
Summary: devel/glib20: update to 2.70.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://gitlab.gnome.org/GNOME/glib/-...
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2021-09-19 09:58 UTC by Jan Beich
Modified: 2021-09-27 17:15 UTC (History)
5 users (show)

See Also:
tcberner: maintainer-feedback+
antoine: exp-run+


Attachments
v1 (apply via "git am") (3.70 KB, patch)
2021-09-19 09:58 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-09-19 09:58:19 UTC
Created attachment 228008 [details]
v1 (apply via "git am")
Comment 1 Tobias C. Berner freebsd_committer 2021-09-20 06:38:14 UTC
Looks good to me, after the exp-run.
Comment 2 Evgeniy Khramtsov 2021-09-20 19:22:18 UTC
Runtime OK here on 14-CURRENT/amd64 with leaf ports:

emulators/qemu-user-static
graphics/imv
graphics/qt5-wayland
graphics/zathura
graphics/zathura-pdf-poppler
irc/irssi
multimedia/audacious
multimedia/audacious-plugins
net/wireshark
sysutils/czkawka
www/firefox-esr
x11-wm/sway
x11/dmenu-wayland
x11/mako
x11/swaybg
x11/swaylock
Comment 3 Daniel Engberg freebsd_committer 2021-09-25 08:31:06 UTC
Please disable build of unit tests by default, we're working with upstream to fix at least one issue found running doing unit tests.
https://gitlab.gnome.org/GNOME/glib/-/issues/2488
Comment 4 Antoine Brodin freebsd_committer 2021-09-27 10:24:38 UTC
Exp-run looks fine
Comment 5 Jan Beich freebsd_committer 2021-09-27 17:08:56 UTC
(In reply to Daniel Engberg from comment #3)
Some failing tests isn't good enough reason to hide all tests:
- poudriere doesn't run "make test", so it cannot block build even with PORTTESTING=1 + PORTTESTING_RECURSIVE=1
- glib:glib / unix is OK here
- 2.68.4 already had 6 failing tests[1] here, and 2.70.0 has the same number
- 1 more test failure wouldn't be much worse

If shaving build time is important I'd rather do something like ports e011fe87582b which emulates USES=cmake:testing behavior. Even better would be to implement USES=meson:testing.

[1] 3 of those are gdbus-related due to the test relying on autolaunch pandemonium instead of explicitly setting up a separate session bus via dbus-run-session.
Comment 6 commit-hook freebsd_committer 2021-09-27 17:10:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1a573917a4d5a472697aa03674834a328ec83f0d

commit 1a573917a4d5a472697aa03674834a328ec83f0d
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-09-17 10:17:56 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-09-27 17:09:05 +0000

    devel/glib20: update to 2.70.0

    Changes:        https://gitlab.gnome.org/GNOME/glib/-/blob/2.70.0/NEWS
    PR:             258598
    Tested by:      Evgeniy Khramtsov
    Approved by:    tcberner

 devel/glib20/Makefile                     |  4 ++--
 devel/glib20/distinfo                     |  6 +++---
 devel/glib20/files/patch-glib_meson.build | 10 +++++-----
 devel/glib20/pkg-plist                    |  2 ++
 4 files changed, 12 insertions(+), 10 deletions(-)